libsub-name-perl_0.12-1_amd64.deb


Advertisement

Description

libsub-name-perl - module for assigning a new name to referenced sub

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsub-name-perl
Package version 0.12
Package release 1
Package architecture amd64
Package type deb
Installed size 92 B
Download size 11.79 KB
Official Mirror ftp.br.debian.org
Sub::Name has only one function, which is also exported by default:
subname NAME, CODEREF
Assigns a new name to referenced sub. If package specification is
omitted in the name, then the current package is used. The return
value is the sub.
The name is only used for informative routines (caller, Carp, etc).
You won't be able to actually invoke the sub by the given name. To
allow that, you need to do glob-assignment yourself.

Alternatives

Package Version Architecture Repository
libsub-name-perl_0.12-1_i386.deb 0.12 i386 Debian Main
libsub-name-perl - - -

Requires

Name Value
libc6 >= 2.2.5
perl >= 5.20.1-1
perlapi-5.20.1 -

Download

Type URL
Binary Package libsub-name-perl_0.12-1_amd64.deb
Source Package libsub-name-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsub-name-perl deb package:
    # sudo apt-get install libsub-name-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Sub/Name.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Sub/Name/Name.so
/usr/share/doc/libsub-name-perl/changelog.Debian.gz
/usr/share/doc/libsub-name-perl/changelog.gz
/usr/share/doc/libsub-name-perl/copyright
/usr/share/lintian/overrides/libsub-name-perl
/usr/share/man/man3/Sub::Name.3pm.gz

Changelog

2014-10-11 - gregor herrmann <gregoa@debian.org>
libsub-name-perl (0.12-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.09
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Add build dependency on libdevel-checkbin-perl.
* Add debian/upstream/metadata
* Imported upstream version 0.12
* debian/copyright: update Upstream-Contact.
* Declare compliance with Debian Policy 3.9.6.
* Add lintian override for hardening-no-fortify-functions false
positive.
2014-07-12 - gregor herrmann <gregoa@debian.org>
libsub-name-perl (0.07-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Add new upstream copyright holder.
2014-03-07 - intrigeri <intrigeri@debian.org>
libsub-name-perl (0.05-2) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* Update my email address.
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ intrigeri ]
* Bump debhelper compat level to 9.
* Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
to get hardening build flags.
* Add missing "Files:" section to debian/copyright.
* Fix debian/copyright with cme.
* Reformat debian/control with cme fix dpkg.
* Declare compatibility with Standards-Version 3.9.5.
2010-10-02 - Ansgar Burchardt <ansgar@43-1.org>
libsub-name-perl (0.05-1) unstable; urgency=low
[ Jonathan Yu ]
* Standards-Version 3.8.3 (drop perl version dependency)
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Ansgar Burchardt ]
* New upstream release.
* Use tiny debian/rules.
* Use source format 3.0 (quilt).
* Convert debian/copyright to proposed machine-readable format.
* Bump Standards-Version to 3.9.1.
[ gregor herrmann ]
* debian/control: make short description a noun phrase.
2008-07-19 - Ansgar Burchardt <ansgar@43-1.org>
libsub-name-perl (0.04-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release
+ debian/copyright: Update copyright years
* Regenerate rules for debhelper 7
+ update debian/control and debian/compat accordingly
* Add myself to Uploaders
* Bump Standards Version to 3.8.0 (no changes required)
[ gregor herrmann ]
* Don't install README any more (text version of the POD documentation).
2008-02-25 - Krzysztof Krzy┼╝aniak (eloy) <eloy@debian.org>
libsub-name-perl (0.03-1) unstable; urgency=low
* New upstream release. 
* Package moved to Debian Perl Group repository
+ debian/control: update fields
2008-01-24 - Krzysztof Krzyzaniak (eloy) <eloy@debian.org>
libsub-name-perl (0.02-2) unstable; urgency=low
* debian/watch: file improved
Closes: #450176 -- debian/watch fails to report upstream's version
* debian/rules: make transition to perl 5.10 smooth
* debian/compat: updated to 6 without changes
* debian/control: Standards-Version updated to 3.7.3 without changes
2005-11-20 - Krzysztof Krzyzaniak (eloy) <eloy@debian.org>
libsub-name-perl (0.02-1) unstable; urgency=low
* Initial Release (closes: #340606)

See Also

Package Description
libsub-override-perl_0.09-1_all.deb Perl module used to temporarily override subroutines
libsub-prototype-perl_0.02-2+b1_amd64.deb module to set a subroutine's prototype
libsub-recursive-perl_0.03-1_all.deb Perl module for memory-leak free recursive anonymous subroutines
libsub-uplevel-perl_0.2400-1_all.deb module to spoof the Perl call stack
libsub-wrappackages-perl_2.0-1_all.deb module to wrap subroutines in packages
libsublib-cil_0.9-4_all.deb CLI library that eases the development of subtitling applications
libsublime-dev_1.7.0-2_amd64.deb development files for the sublime user interface library
libsublime8_1.7.0-2_amd64.deb User interface library
libsubtitleeditor-dev_0.33.0-3_amd64.deb subtitleeditor lib - development files
libsubtitleeditor0_0.33.0-3_amd64.deb subtitleeditor lib - runtime files
libsubtitles-perl_1.04-1_all.deb utilities to fix subtitles timing
libsubunit-dev_0.0.18-4_amd64.deb Unit testing protocol - Development headers and static library for libsubunit
libsubunit-perl_0.0.18-4_all.deb perl parser and diff for Subunit streams
libsubunit0_0.0.18-4_amd64.deb Unit testing protocol - C/C++ shared library
libsuil-0-0_0.8.2~dfsg0-1_amd64.deb library for loading and wrapping LV2 plugin UIs
Advertisement
Advertisement